cascading.tuple.io

## Class KeyIndexTuple

- java.lang.Object
- - cascading.tuple.Tuple
  - - cascading.tuple.io.IndexTuple
    - - cascading.tuple.io.KeyIndexTuple

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.lang.Object>, java.lang.Iterable<java.lang.Object>

    public class KeyIndexTuple
    extends IndexTuple

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.tuple.Tuple

`elements, isUnmodifiable, NULL`

### Constructor Summary

Constructors
Constructor and Description
`KeyIndexTuple()`
`KeyIndexTuple(int index, Tuple tuple)`

### Method Summary

### Methods inherited from class cascading.tuple.io.IndexTuple

`compareTo, compareTo, equals, getIndex, getTuple, hashCode, print, printTo, setIndex, setTuple, toString`

### Methods inherited from class cascading.tuple.Tuple

`add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, elements, format, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, internalSet, isEmpty, isUnmodifiable, iterator, leave, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeyIndexTuple

    public KeyIndexTuple()

#### KeyIndexTuple

    public KeyIndexTuple(int index,
                 Tuple tuple)